import fiji.io.*;
import java.io.*;
import java.util.*;

/**
 * Classe che contiene il main.
 * Non richiede che si passino dei parametri, conta le parole e 
 * le occorrenze della parola Anello in 3 file, e stampa i
 * risultati in un file chiamato "risultati.txt"
 * @author Barbara Pettazzoni
 * @version 1
 */
public class ContaAnello2
{
	/**
	 * Main Function
	 */
	public static void main(String args[])
	{
		try
		{
			String fileNames[] = {"trama.txt","trama2.txt","trama3.txt"};
			Contatore contatoriParole[] = new Contatore[3];
			Contatore contatoriAnello[] = new Contatore[3];
			for(int i=0; i < 3; i++)
			{
				contatoriParole[i] = new Contatore();
				contatoriAnello[i] = new Contatore();
				Lettore input = new Lettore(new FileReader(fileNames[i]));
				while(!input.eof())
				{
					String linea = input.leggiLinea();
					StringTokenizer tokenizer = new StringTokenizer(linea, " ");
					while(tokenizer.hasMoreTokens())
					{
						String parola = tokenizer.nextToken();
						if(parola.equals("Anello"))
							contatoriAnello[i].incrementa();
						contatoriParole[i].incrementa();
					}
				}
			}
			FileWriter fw = new FileWriter("risultati.txt");
			BufferedWriter bw = new BufferedWriter(fw);
			for(int i=0; i < 2; i++)
			{
				for(int j = i + 1; j < 3; j++)
				{
					if(contatoriParole[i].compareTo(contatoriParole[j]) > 0)
						bw.write(fileNames[i] + " rispetto a " + fileNames[j] + " contiene piu' parole: " + contatoriParole[i].leggi() + ">" + contatoriParole[j].leggi());
					else
						bw.write(fileNames[j] + " rispetto a " + fileNames[i] + " contiene piu' parole: " + contatoriParole[j].leggi() + ">" + contatoriParole[i].leggi());
					bw.newLine();
					if(contatoriAnello[i].compareTo(contatoriAnello[j]) > 0)
						bw.write(fileNames[i] + " rispetto a " + fileNames[j] + " contiene piu' occorrenze della parola Anello: "  + contatoriAnello[i].leggi() + ">" + contatoriAnello[j].leggi());
					else
						bw.write(fileNames[j] + " rispetto a " + fileNames[i] + " contiene piu' occorrenze della parola Anello: "  + contatoriAnello[j].leggi() + ">" + contatoriAnello[i].leggi());
					bw.newLine();
				}
			}
			bw.flush();
			bw.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
}